Subject: Serial driver patches
From: [email-masked] (Theodore Ts'o)
Date: 9 Dec 1993 23:25:23 +0200
Newsgroups: comp.os.linux.announce

It's been a while since I've released any patches to the serial driver;
well, I've finally taken the time to package them all out and release a
new patch set.  I'd appreciate it if people could try them out.  They
can be found on tsx-11.mit.edu, in /pub/linux/ALPHA/serial.  

(Yes, I've checked the permissions on the files before sending out this
announcement.  :-)

						- Ted

Here's the README file for this set of patches:
-----------------------------------------------

This is a set of patches to the serial driver in 0.99pl14.  It
contains the following fixes /  improvements:

	* Set FIFO trigger level to 1 if baud rate is under 2400.
		This will improve response time on 16550A's when they
		are operating at slow speeds; specifically when you're 
		using them with a mouse. 

	* Overrun conditions are now passed up to tty_io.c, and an
		appropriate warning message is printed.  (Previously,
		tty_io.c would handle it as a randomly as either a
		frame error, a parity error, or a break.)

	* Use a separate flag for hardware flow control, so that
		the right thing happens when both XON/XOFF and RTS/CTS
		flow control are enabled.

	* Allow the callout devices to be a controlling tty.

	* Hangup handling fixed; some race conditions removed.  The
		device specific close now happens at the instant when
		the hangup is signaled, instead of waiting until the
		the process closed the file descriptor.  This should
		fix the problems with background processes that still
		have the tty opened when the modem hangs up.  Linux
		will now deal correctly with this case.

Please try these changes out, especially if you support dialup via
modems.  There are a bunch of tricky race conditions with the hangup
code, which I *think* that I've resolved.  I want to make sure that
they work, though, before submitting them to Linux for inclusion in
the mainline kernel.  Please try them out and let me know how they
work on your system.  

					Ted Ts'o
					[email-masked]
					12/8/93

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.